## develsh 1.14+0m6

=== Makefile ===
# Makefile for "developer shell"

I_BINDIR= $(INSTALL_ROOT)/bin

all: develsh

develsh:
	sh develsh.c

install: develsh
	test -d $(I_BINDIR) || mkdir $(I_BINDIR)
	cp develsh $(I_BINDIR)
	cp develsh $(I_BINDIR)/devel-sh

clean:
	rm -f develsh

distclean:
	./debian/rules clean

=== debian/changelog ===
develsh (1.14+0m6) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1.14+0m6

 -- BIFH Bot <sysint@maemo.research.nokia.com>  Mon, 11 Jul 2011 09:27:30 +0300

develsh (1.14) unstable; urgency=low

  * Fixes: NB#271649 -- change the maintainer field.

 -- Nokia <I_EXT_HARMATTAN_DEVELOPERS@nokia.com>  Mon, 11 Jul 2011 09:27:29 +0300

develsh (1.13-11) unstable; urgency=low

  * Now installs devel-sh in addition to develsh ...
	
 -- Mad Developer <madde-support@nixu.com>  Thu, 02 Jun 2011 12:07:07 +0300

develsh (1.13) unstable; urgency=low

  * Fixes: NB#253767 -- develsh package with suitable manifest file.
	
  * Added 'gnupg' to build-depends.

 -- Mad Developer <madde-support@nixu.com>  Mon, 16 May 2011 12:48:59 +0300

develsh (1.12) unstable; urgency=low

  * Fixes: NB#253767 -- develsh package with suitable manifest file.
	
  * Changed /usr/bin/develsh to /bin/develsh in _aegis manifest file.

 -- Mad Developer <madde-support@nixu.com>  Fri, 13 May 2011 16:01:23 +0300

develsh (1.11) unstable; urgency=low

  * Package rename.

 -- Mad Developer <madde-support@nixu.com>  Thu, 12 May 2011 12:23:31 +0300

devel-shell (1.11) unstable; urgency=low

  * Initial release.

 -- Mad Developer <madde-support@nixu.com>  Tue, 10 May 2011 10:54:05 +0300

=== debian/control ===
Source: develsh
Section: user/hidden
Priority: extra
Maintainer: Nokia <I_EXT_HARMATTAN_DEVELOPERS@nokia.com>
Build-Depends: debhelper (>= 5), gnupg
Standards-Version: 3.7.3

Package: develsh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: developer shell wrapper, for capabilities.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = develsh

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/$(PACKAGE).
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/$(PACKAGE) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

	# signpkg (in addition to signing, will add _aegis to the archive...)
	sh signpkg.sh debian/changelog debian/develsh.aegis


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
